librecad (2.2.0+git5348-7f40ee54-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: 2.2.1
  * Commit: 7f40ee5491629c18d33a00702063b5499847ce33
  * Date: 1727036205
  * git changelog:
  *  7f40ee54 - Commands: code cleanup
  *  3d7023ab - Commands: avoid spurious command collision messages
  *  06a89b1f - Print Preview: display a message when printing only
    opens preview
  *  0cf66b51 - Issue #1897: fixed export PDF margins
  *  29c9abab - Issue #1897: fixed export PDF margins
  *  b86ed37b - Issue #1896: choose 360 over 0 for arc angles
  *  05f8dc7f - RS_Settings: code review isue #1868
  *  e7028058 - RecentFiles: code review, Issue #1880

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 06 Oct 2024 20:02:58 +0000

librecad (2.2.0+git5340-71776b5e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: 2.2.1
  * Commit: 71776b5eba472c4ee2ab440c01c5edd8b2a5930b
  * Date: 1725131304
  * git changelog:
  *  71776b5e - Issue #1868: radial Dim prefix logic
  *  d7446c30 - Issue #1826: fixed block folder opening crash
  *  c7bc4b89 - Dim label editor: added tooltip
  *  d8aebe97 - Issue #1862: cut/divide snapper cleanup
  *  40ce979f - FileDialog: fixed extension for lff

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 14 Sep 2024 13:05:03 +0000

librecad (2.2.0+git5335-0a0a81de-1ppa1~jammy1) jammy; urgency=medium

  * Automated backport upload; no source changes.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 14 Sep 2024 12:54:19 +0000

librecad (2.2.0+git5335-0a0a81de-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: 2.2.1
  * Commit: 0a0a81deda76aa26ba0fe5c94344719a0e55cd21
  * Date: 1724380269
  * git changelog:
  *  0a0a81de - Update build-all.yml
  *  5a6850f0 - Update build-all.yml
  *  6f429dff - Update build-all.yml
  *  a457b6e1 - Update build-all.yml
  *  4ab61dcc - MText: right-to-left text alignment fix
  *  ed5fd238 - Recent files: logic fixes
  *  48de4014 - ExitDialog: Discard and Cancel logic

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 24 Aug 2024 18:05:55 +0000

librecad (2.2.0+git5328-497d17de-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: 2.2.1
  * Commit: 497d17de199898418c5ca14824445f2e3808795e
  * Date: 1722170328
  * git changelog:
  *  497d17de - Issue #1818: MText alignment by actual sizes

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 11 Aug 2024 14:24:19 +0000

librecad (2.2.0+git5327-a1a16168-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: 2.2.1
  * Commit: a1a1616891aed898e5220880b77185c273b1ec3a
  * Date: 1721570293
  * git changelog:
  *  a1a16168 - Printer: fixed a spurious Paper size changed
  *  29edbf9b - Backport fixes for printer size mismatch warning
  *  bff7ad61 - painterQt: arc rendering: code cleanup
  *  b2214827 - Painter: draw arc by QPainterPath
  *  bdc3318b - Update rs_debug.cpp
  *  d72fa0a4 - RS_Debug: fixed qt version check
  *  5cf86ae8 - Elliptic arc: Cap Style support
  *  4d19419b - Elliptic Arc: rendering algorithm fixes
  *  9279e49f - Issue #1814: fixed qt5 built
  *  028c7e4b - Issue #1814: fixed command key event clone
  *  5a4d786b - Issue #1815: rs_debug building

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 27 Jul 2024 14:22:23 +0000

librecad (2.2.0+git5316-b8480b2a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: 2.2.1
  * Commit: b8480b2a1db613ac485d1b6f3a884454f4298bcc
  * Date: 1719718270
  * git changelog:
  *  b8480b2a - Issue #1812: support English commands
  *  933d5378 - Issue #1786: MText fixes from 2.2.2
  *  1e919eeb - CI: build-osx.sh hdiutil uses the shadow option
  *  b876bb2d - Issue #1795: fixed setting for hiding the relative zero
    mark
  *  0649fad1 - Issue #1793: CI: linux builds by ubuntu-20.04
  *  32434db1 - Update build-appimg.sh

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 01 Jul 2024 16:03:16 +0000

librecad (2.2.0+git5310-0790f21b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: 2.2.1
  * Commit: 0790f21b6c3750cfc13b83d913dcbb24f37fc32f
  * Date: 1716852369
  * git changelog:
  *  0790f21b - CI: fix windows 32bit building
  *  7f32e56e - Update build-all.yml
  *  60829cd0 - Update build-all.yml
  *  b7dcf920 - LC_VERSION: 2.2.1_rc2
  *  68f3535f - Print preview: fix scale selection
  *  4cd3b138 - Issue #1769: installer naming fixes
  *  3c407e5c - Issue #1781: fixed a number formatting crash
  *  cf1f2be7 - Update build-all.yml
  *  f00b3545 - Update build-all.yml
  *  1e6b7cbd - Issue #1780 : shift key event avoid double freeing
  *  8a12ffd5 - Update build-all.yml
  *  d596ab27 - Update build-all.yml
  *  02ac5088 - Update build-all.yml
  *  1ad1c127 - Update build-all.yml
  *  4a019fcc - Update build-all.yml
  *  883ed8a6 - Update build-all.yml
  *  408cce21 - Update build-all.yml
  *  264aebcb - Update build-all.yml
  *  2e2bc9bf - CI: win64 version: 2.2.1
  *  2a616512 - Update build-all.yml
  *  bb983d28 - Update build-all.yml
  *  33568c13 - Update build-all.yml
  *  e4ccbe31 - Update build-all.yml
  *  5dea18be - CI: fixed Linux AppImage
  *  65dd913f - Update build-all.yml
  *  6397d808 - CI: installer renaming 2.2.1_rc1
  *  d51e067f - CI: mark as draft
  *  ecf4d7cb - Hatch preview: disable input events
  *  bbb42b87 - Removed codeQL.yml for 2.2.1
  *  9501b1a5 - update 2.2.1 assets
  *  5397d52d - Fixed a duplicated entry in src.pro
  *  6db90d7e - Update build-all.yml
  *  e2630bc5 - CI: fixes for 2.2.1
  *  49e0405b - line: reAngle: fixed compiler warning
  *  823a4c6c - main: qt6 fix
  *  b24b2099 - actionDrawStart: compiler warning
  *  e483962e - polylineequidistant: macos building issue
  *  46d057c9 - RS_Ellipse: fixed a compiler warning
  *  231995fd - Fixed a MacOS building issue
  *  4c67f2c6 - Fixed compiler warnings
  *  9ec6d810 - Issue #1768: print preview options
  *  cbf99b23 - Line: reAngle: option values
  *  3f518b6d - Radial/Diameteric label: restore saved state
  *  d777e639 - draw line-angle: format option angle/line values
  *  16afc25f - RS_Radial dimension editing properties
  *  a6c23812 - Radial dimension: initial Radial dimension prefix
    support
  *  221cc70c - more reliable selection of segments for break/divide
    action - now it does not affected by current snap mode (#1766)
  *  f1487fad - CI: MacOS build on qt6
  *  e1437dbd - Pen toolbar - sync pen by layer action now works if
    PenPalette widget is disabled (#1763)
  *  21b29536 - Additional actions (#1761)
  *  10dd2dae - Update build-all.yml
  *  16a231d0 - Update build-all.yml
  *  1dda20b8 - QPainter: Round Cap and Join Style
  *  f974ebe3 - Context menu: fixed Text editing
  *  806e61d0 - Pen Cap style: default to Qt::RoundCap

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 29 May 2024 20:34:03 +0000

librecad (2.2.0+git5255-29944585-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 299445856b62e0907bc2c6bca9c600e3e9f8b50a
  * Date: 1713858014
  * git changelog:
  *  29944585 - Print Preview: option ownership to action
  *  26679744 - printpreview: scale logic cleanup
  *  3e773f5e - Context menu: show block name in editing menu entry
  *  29be0f2e - Context menu: add Edit Block for inserts
  *  625eecdd - Snapcraft: building issues
  *  585f1749 - snapcraft
  *  d02a0bc8 - snapcraft.yaml
  *  554ebe2d - snapcraft.yaml
  *  f9c941ba - snapcraft.yaml
  *  1005be79 - snapcraft.yaml
  *  9637c9aa - Initial snapcraft support
  *  9ccea6fb - Issue #1755: fix a preview crash
  *  a705789b - Add languages: ar/he/sr/th
  *  08997b18 - Update translations
  *  270f0162 - Show 'Draft' at corners for DraftMode
  *  e24e6927 - Parabola: debugging message cleanup
  *  1603a1ac - Header cleanup
  *  bd2e4304 - Update README.md
  *  31f7a7b1 - Hatch: warnings on pattern failure
  *  537b6249 - RS_Math:: add ULP support for floating points
  *  bf2bbf25 - Hatch: fixed area calculation
  *  ee56d230 - Hatch: fix area calculation
  *  79085d81 - Hatch: code review
  *  d2942446 - Issue #1757: pen Pallet only enabled by settings
  *  2d40e66c - IntToWidth: fixed building
  *  e5850c55 - IntToWidth: fixed building
  *  e6d809db - IntToWidth: default to Width00
  *  66b7058e - IntToLineWidth: fixed Linux building
  *  9b2d4e10 - header cleanup
  *  a2842d21 - muParser building issue: win32
  *  a48e032f - Command Widget: fixed size policies
  *  277216f7 - muParser DLL building issue
  *  77809f6a - Add missing muParser files
  *  927dc3f5 - Updated muParser to 20240316
  *  91b83aa2 - File cleanup
  *  d4ec36e3 - more header cleanup
  *  cd2e14a9 - PenPallet/layer tree: docking as tabs
  *  1619a16a - header cleanup
  *  264d265d - PenPallet troubleshooting
  *  d9624670 - PenPallet: enable by settings
  *  e8f93e49 - RS_Settings: Avoid using Colors as namespace
  *  6f1716c8 - LayerTree widget: maximum size policy
  *  3294ef0e - Pen/Layer tree: maximum size policy
  *  72626b5d - CI: reverted download-artifact to v3
  *  408a6e8b - CI: reverted upload-artifact to v3
  *  2a55f776 - CI: updated versions
  *  213df194 - Help message: add dxf2svg
  *  63f46e1a - SVG: makercam: make exporting points optional
  *  65cd4dc3 - Issue: #1753: command line messages
  *  1160d67b - Issue #1753: spacebar toggles snapping free
  *  56b3cfb5 - SVG blocks: fix insertion point offset
  *  3335aa6b - SVG blocks: fix insertion point offset
  *  f277540d - Issue #1753: toggle free snapping by spacebar
  *  b91bc4ba - Pen widget: compiler warning
  *  1d3b0f18 - Issue #1753: code cleanup
  *  01fe52e8 - Issue #1754: Add Alt-X shortcut for Exclusive Snapping
  *  57c483cf - Issue #1753 : toggle snapping by spacebar
  *  ed72b8b7 - Action Option: savingSettings() crash fixes
  *  77b71411 - Fixed building issues
  *  e3dd5d97 - QMenu: qt6 fix
  *  1716254e - rs_system: Qt6 fix
  *  398b7e93 - RS_Point::shear(): fixed return
  *  7198287b - Add Drawing Options to default context menu
  *  e0f8a4e0 - Fillet: preparation to support ellipses
  *  448820bd - Fillet: a quick fix for circle trimming
  *  ed79434d - Print: open printpreview, if not open yet
  *  7476a9f1 - Default line width for layer 0 to 0.25mm
  *  4dc3d5fa - Fixed two compiler warnings
  *  d3dc0074 - Widget size policies
  *  c434078d - LayerTree: fixed some compiler warning
  *  b82ce3c3 - pen/layer tree widget: not shown by default
  *  5477494d - shear: fixed constructionline
  *  82ab47a9 - Issue#1751: drawline Angle: save settings using GUI info
  *  311a96ba - Shear: initial support (#1749)
  *  e20162ab - Pen Toolbar Actions - small improvement for pen
    operations (#1750)
  *  f0244b86 - Layer tree view (#1748)
  *  6866f2db - PenPalletModel: porting QRegExp to QRegularExpression
  *  60077d6b - Pens palette widget (#1745)
  *  10e64902 - Update qg_arctangentialoptions.cpp
  *  754b8385 - Issue #1718: draw arc-tangent
  *  8315b1d6 - Snap Middle by Melwyn PR #1424 (#1744)
  *  ea101cad - Update README.md: libdxfrw description
  *  4f6055d8 - Tangent2: header cleanup
  *  77c74942 - Parabola: update trimming
  *  0b2d4537 - Tangent2: fixed MB3
  *  99ca805d - Tangent2: fixed highlighting
  *  1b61f12d - Tangent2: file cleanup
  *  c8a85f42 - Parabola support common tangent (#1742)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 24 Apr 2024 17:33:55 +0000

librecad (2.2.0+git5167-03d507f8-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 03d507f8832e5449ba3495796acbcaa20126d645
  * Date: 1708566472
  * git changelog:
  *  03d507f8 - Parabola: add orth-tangent
  *  4ac033ea - Building issue: maybe_unsued attribute
  *  78b43a3e - Initial Parabola support (#1740)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 22 Feb 2024 18:13:54 +0000

librecad (2.2.0+git5164-5b50aa69-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 5b50aa694a5de92a5934c7d3bfbb9a9b0a48cc1f
  * Date: 1706756417
  * git changelog:
  *  5b50aa69 - Update README.md
  *  de9cb37f - correction of invalid duplicated define that prevents
    compiling by cmake
  *  bae3b11f - Export 2 csv plugin (#1730)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 12 Feb 2024 16:45:12 +0000

librecad (2.2.0+git5161-06015358-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 0601535822c66a69da615463e42285616cfadedf
  * Date: 1705387152
  * git changelog:
  *  06015358 - Issue #1722: avoid manipulating pen for block members
  *  0dac0b07 - Issue #1724: loop sorting algorithm improvement

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 26 Jan 2024 19:45:00 +0000

librecad (2.2.0+git5159-8e102459-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 8e10245994d8307a76cedc3cbffe471de88c8325
  * Date: 1705036963
  * git changelog:
  *  8e102459 - Support snapping for leaders (#1714)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 13 Jan 2024 21:20:20 +0000

librecad (2.2.0+git5158-5c8300ed-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 5c8300ed3f00e2e0bf256b0e2e2c969eb8e891e6
  * Date: 1704267049
  * git changelog:
  *  5c8300ed - Issue #1603: add ToolTip for Part Library setting
  *  b91aaff3 - Header cleanup: initialize members
  *  94bb63f7 - Cal command: inline expression

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 04 Jan 2024 17:04:31 +0000

librecad (2.2.0+git5155-4ad9c8bc-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 4ad9c8bc497938d5101a202346100fd96865ac39
  * Date: 1702693805
  * git changelog:
  *  4ad9c8bc - fixed a maybe_unused compiling error
  *  3f542212 - Issue #1718: cleanup for arc-tangential
  *  78621dd1 - PrintPreview: keep user typed scales in selection
  *  4b2b6213 - painterQt: cap style and join style set to Round

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 23 Dec 2023 13:11:00 +0000

librecad (2.2.0+git5151-f4720a0f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: f4720a0f4f51d8bab41e8608cabb2359e550fe18
  * Date: 1701844758
  * git changelog:
  *  f4720a0f - file cleanup
  *  17c95ff2 - More Tool option widgets cleanup
  *  27c4ce59 - OptionWidget: fixed a crash due to ownership
  *  8377a160 - Tool option widgets: ownership cleanup
  *  4a58a77c - Issue #1715: fixed image relative path
  *  3acfedd6 - Issue #1713: EventHandler action cleanup

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 09 Dec 2023 08:25:25 +0000

librecad (2.2.0~git5145-d6d257f3-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: d6d257f3baae2a4e75545a88c908e227d37527ce
  * Date: 1700721732
  * git changelog:
  *  d6d257f3 - Issue #1713: eventHandler: fix resuming the previous
    action
  *  b46986b3 - Fix loading of splines that falsely defined by closed
    (#1712)
  *  17fabaff - CI/MacOS: Fixed fallthrough attribute
  *  26395e21 - Initial support for fraction coordinates with
    feet/inches
  *  58a53ba2 - EventHandler: use smart pointers to hold actions
  *  8fed285e - day
  *  9179bc77 - temporarily
  *  04615d09 - enabling C++17 support (#1708)
  *  03c49c16 - CI: fix MacOS building
  *  b10b16ef - Update README.md with the support of dxf2svg (#1707)
  *  30950015 - Support for cli action dxf2svg

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 25 Nov 2023 09:23:03 +0000

librecad (2.2.0~git5134-cbba5ed7-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: cbba5ed74753e3867ac057868240214524c40aeb
  * Date: 1697787814
  * git changelog:
  *  cbba5ed7 - Issue #1684: regression on MText border updates at
    rotation
  *  d3985b6c - Replace unlocked icon #c8c8c8 color with locked icon
    standard #cccccc
  *  beadb6e5 - Replace #130000 (Diesel) with standard #000000 (Black)
    color
  *  f77eedc5 - Issue #1701: dlg hatch cleanup
  *  5e701b71 - Issue #1697: doc activation order at closing
  *  6f498163 - fixes #1207, Exiting print preview displays wrong
    drawing (#1696)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 28 Oct 2023 20:06:20 +0000

librecad (2.2.0~git5128-feaa267d-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: feaa267de9c4586cddb75f689cd25c9007a4fd6e
  * Date: 1695955739
  * git changelog:
  *  feaa267d - drawHatch: avoid showing area during creation
  *  678e9d70 - dialog Hatch: adjusted geometry
  *  cc45a92f - getDistanceToPoint(): skip locked layer when selection
    entities
  *  efdb5ef6 - Hatch: display total hatched area in the property dialog
  *  a6ea3723 - Issue #1657: simplify rendering of cropped arcs
  *  64312952 - lc_rect/rs_graphivew: minor constness/comment cleanup

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 06 Oct 2023 21:50:26 +0000

librecad (2.2.0~git5122-a6ab92ba-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: a6ab92ba510b55b05cd9ca0cc4a3682fac7f1745
  * Date: 1695262706
  * git changelog:
  *  a6ab92ba - Squashed commit of the following:
  *  ff109e15 - Issue #1672, relative angle line length
  *  6201e7b4 - Issue #1689: support closed splines by 3 poins

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 21 Sep 2023 20:33:53 +0000

librecad (2.2.0~git5119-098306cf-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 098306cfca839bb33c990e4e3b3d0be172762a3d
  * Date: 1693340879
  * git changelog:
  *  098306cf - added greek characters to unicode.lff [ci skip]
  *  4b77747d - updated translation from source [ci skip]
  *  8c65193d - Issue #1685: add a menu entry to re-dock widgets
  *  74d0df21 - LoopUtils:: add comments
  *  05153a2d - LoopUtils:: add license
  *  e6fd1a44 - Command widget: add method to re-dock
  *  dfb743f1 - EventHandler: added comments
  *  73ce9797 - MText: right-to-left support alignment fix
  *  7516bafd - EventHandler: uncheck button after action
  *  5064b9ca - Issue #1572: added validate()

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 30 Aug 2023 17:15:57 +0000

librecad (2.2.0~git5109-9b321ba9-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 9b321ba9cff4d7e6e658d71fdd545a383d6c4bd7
  * Date: 1692109196
  * git changelog:
  *  9b321ba9 - LoopUtils: file cleanup
  *  b22da344 - Issue #1572: updated loop extraction algorithm (#1681)
  *  e6c39af7 - feat: Extend one-character coordinate shortcuts (#1677)
  *  45a167b0 - Issue #1572: fix hatching area calculation (#1680)
  *  9db3479c - Issue #1676: fixed a construction line regression
  *  07398a97 - default action: file cleanup
  *  439f4b6f - MText: right-to-left fixed alignment
  *  5e5eaff3 - Mtext: initial support for Right-to-left text (#1674)
  *  6df84917 - feat: Shortcut . to specify current point coordinates on
    command line (#1673)
  *  c3ffcd77 - Issue #1670: file cleanup
  *  01b4ac04 - Issue #1670: disable mouse hovering effects on hatches
  *  52355148 - Issue #778/#1657: fixed spline mouse hovering effect
  *  816066a0 - Debugging: add LC_ERR
  *  4a9a95a4 - Issue #778, #1657: spline drawing style
  *  7a38afb3 - Issue #1672: code cleanup
  *  a8891ecb - Issue #1672: relative angle line length fix
  *  019af8d6 - Issue #1258: fixed RS_Image::clone()
  *  92f0a4ac - RS_Entity: ID type to unsigned long long
  *  802b3397 - Issue #1671: fixed dash style for selected
  *  d5c673b1 - update CHANGELOG.md
  *  82e2c3e9 - fixed various issues in LFF font files
  *  c2542de8 - fixed segfault with malformed LFF font files
  *  f4985ac4 - settings: improved RAII guard robustness
  *  73ebf8ba - Preview style: solid line and highlight
  *  108410eb - PR #1448: plot polyline, event cleanup, WIP
  *  a1b0c8b3 - Issue #1449/#1668: fixed a polyline crash
  *  12791120 - Issue #1449: fixed a typo
  *  deb9de4d - Issue #1449: fixed a typo
  *  5e2c0b65 - Logging style LC_LOG
  *  718f4d35 - Issue #1449: fixed a Windows issue for parser
  *  10b887c7 - Issue #1449: draw polyline by equation
  *  ae35bd40 - Issue #778: painter dash pattern tweaking
  *  967a00b1 - Polyline Equations in Command (#1449)
  *  073e781f - Issue #778/#1664: Fixed style: NoPen
  *  197e74a8 - Update cyrillic_ii.lff (#1663)
  *  226c97b5 - Issue #778: fixed crash due to NoPen
  *  871768d7 - Issue #778: painter rework
  *  d7c197da - Revert Issue
  *  df7b0a14 - Issue #1589: editable image file path
  *  afab9e28 - Issue #778 Painter: use Qt native dash pattern (#1661)
  *  0a23b6be - bevel/fillet: highlight selection cleanup
  *  cc5c3c31 - Hatch: area display precision increased to 12 digits
  *  651cc9b3 - fillet/bevel: highlight selections
  *  e3ab9a3a - Bevel: highlight selections
  *  32d9cbe5 - Issue #1572: topology sorting cleanup
  *  342d0bf1 - Issue #1572 : add topology sorting for hatch loops
    (#1659)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 15 Aug 2023 20:08:14 +0000

librecad (2.2.0~git5063-3974b220-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 3974b220507eb8a99c29b140a9345b679da43331
  * Date: 1689350565
  * git changelog:
  *  3974b220 - Issue #1654: fixed MText missing lines
  *  5baac2aa - Qt-5.15 support (#1656)
  *  04a4ad0b - Issue #1589: image file path improvement
  *  d6aa9a4a - RS_Spline: fixed a compiler warning
  *  fad74498 - RS_Image: search image in the dxf file folder
  *  b3586506 - RS_LOG: support QString
  *  7de2a259 - filterjww: fixed a compiler warning
  *  c8389f01 - RS_Debug: add RS_LOG(): stream style logging
  *  e5133a51 - LayerWidget: less verbose on nullptr
  *  fc51494d - Issue #1653: file cleanup
  *  6bb6049d - Issue #1653: closest point on ellipse robustness
  *  2cc6d172 - Wheel Events: reduced zooming sensitivity
  *  209d4690 - Issue #1645: user option for mouse-over effects (#1650)
  *  cdc866d3 - update CHANGELOG.md [ci skip]
  *  ef9e5f84 - fixed CVE-2023-30259, remove plugin importshp, fixes
    #1481
  *  d7b5b0a3 - Fixes for CodeQL scan (issue #1646)
  *  7d58f849 - Add CodeQL workflow (#1646)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 14 Jul 2023 19:33:13 +0000

librecad (2.2.0~git5046-a6f34238-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: a6f34238c4ae57d59bdc7fe15c461eee4ec7b212
  * Date: 1688300370
  * git changelog:
  *  a6f34238 - Save/restore window geometry by Qt native
  *  951c8459 - issue #1645: glowing effect width
  *  9ad76aa2 - LineTypePattern: added method getPattern
  *  115f2295 - fixed highlighted color
  *  0af569bf - code review: clean up initializer_list usages
  *  5b541e66 - PR #1425: relative zero marker settings
  *  0717ec10 - rs_image: ctor cleanup
  *  8f709b91 - Reopen issue #1578 Reverted build-all.yml
  *  c9467613 - Update build-all.yml
  *  bcc56998 - CI: test latest uploading
  *  2c85a0b8 - PR #1641 cleanup: remove hovered attribute
  *  013c76bb - Glowing effect(PR #1641): remove isHovered
  *  25f09ae6 - PR #1486 fixes (#1644)
  *  176fa877 - grid appears in 2nd file, when it is disabled in 1st
    file, fixes #1451 (#1457)
  *  25b79e28 - Issue #1639: minor UI fixes for Point options (#1642)
  *  bff014f3 - Fixes for glowing effect on mouse hovering (#1641)
  *  26345813 - PR #1505: drawArc protopye
  *  d777aabb - issue #1351: fixed auto-save setting
  *  ab63588b - Qt-5.15: building issues
  *  0d939049 - PR #1501: fillet more than once
  *  1d8370e4 - PR #1506: wheel zooming centers on pointer
  *  1ffd49bf - issue #1578: CI fixes
  *  4bd960d5 - Update build-all.yml, issue #1578
  *  84f9969f - Update build-all.yml: issue #1578
  *  69d9443b - issue #1578: CI fixes, experimental
  *  b4b4f8d4 - QMouseEvent: fixed a building failure
  *  5c4d14de - PR #1490: delay auto-panning
  *  e5b13c14 - MdiWindow: code cleanup
  *  9026c54a - CI: fixed building
  *  d3e13ea0 - PR #1486: glowing effect on hover
  *  4216d7fe - PR #1490 by melwyncarlo: auto-pan support
  *  d2a42d82 - issue #1635: Export Layer, fixed a crash

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 02 Jul 2023 13:20:23 +0000

librecad (2.2.0~git5014-75fe5100-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 75fe510018d3715c9c0e9ae8d469aaf21f6a8626
  * Date: 1686979357
  * git changelog:
  *  75fe5100 - actionLayersExport: code cleanup
  *  b209a0e5 - actionLayerExport: code cleanup: RAII style(WIP)
  *  0ac3c28a - Fixed CI OsX/Win builds
  *  f7094287 - Update librecad.pro
  *  dbfbd96b - LC_ActionLayersExport: cuilt compiler warning
  *  b21ba36b - PR #1436 by melwyncarlo: saving layers to files
  *  86333b85 - RS_LayerList: header cleanup
  *  89e83e59 - issue #1624: fixed resources folders for Linux CI build
  *  c56dc504 - Qt-5.15 preparation: Qt-5.15 required
  *  3e6dbf7e - more override fixes
  *  4388ddeb - More override style fixes
  *  ea238ba8 - OS_X: fixed a building regression
  *  aee45574 - OS_X: fixed a building regression
  *  b32ef0fb - FontList: added debugging(fixed)
  *  d36a29d6 - FontList: added debugging
  *  c042f175 - issue #1581 : CI: x64 troubleshooting
  *  795a5eb6 - issue #1581: windows x64 rename keys
  *  afa172d1 - Update README.md
  *  09328dc7 - issue #1581: windows x64 fixes
  *  8676ea63 - Revert CI: github release
  *  7033820a - Revert CI: UpdateAssets: annotation fix
  *  71eb7cfa - Revert CI: UpdateAssets: annotation fix
  *  7fd47efd - CI: UpdateAssets: annotation fix
  *  4b3e84ee - CI: UpdateAssets: annotation fix
  *  b2ffe441 - CI: github release
  *  ce19c87f - issue #1624: CI: linux locale support
  *  9ad3a64f - CI: annotation fixes
  *  64ec2aa7 - CI: more building fixes
  *  7f0283ca - Update README.md
  *  ff780549 - Update README.md
  *  4174e150 - issue #1631: free snapping rework
  *  81d93c7f - issues #1632/1633 : CI linux build fix
  *  97c00660 - CI: linux/win32 fixes
  *  83dc65c2 - PR #1514: building fixes
  *  73451bc2 - Issue #1514 Radius=0 is invalid error displayed
    repeatedly when zooming if division expression used for radius
    (#1531)
  *  c3440f3e - Issue #960 Feature request - Ability to set the style of
    a POINT (#1532)
  *  e9410df8 - Ref PR #1432 - Update tab order in qg dlgtext.UI - also
    add cbFont selector into the tab order (#1540)
  *  cb7043c7 - Change DXF Export to use ext Style handle ID for 340
    Dimstyle field. Dimstyle should use the Text Style handle ID not the
    name. (#1551)
  *  9633657c - shapelib: avoid risky c string methods
  *  076f441a - issue #1629: a root level editconfig
  *  6674d882 - Fixed a heap corruption upon startup. (#1628)
  *  0778a64d - libdxfrw: parseDWG specified override
  *  68a27795 - qg_colorbox: fix building
  *  f48761a6 - qg_colorbox: fixed a Mac building error
  *  4fa20f7d - avoid risky c style string functions
  *  e40b4569 - PR #1626: potential fix, MSVC support
  *  20c59a76 - PR #1626 by madmaxoft: MSVC support fixes
  *  e8c3f030 - CI: ubuntu from 20.04 to 22.04
  *  152f51f5 - issue #1626: struct forward declaration
  *  1beff81e - dxf2png: code cleanup
  *  d5cce80e - formatLinear: use the actual drawing unit
  *  716bf873 - PR #1461 by melwyncarlo: improved custom color support
  *  14d13153 - issue #1625: fixed action diametric
  *  cd8dd026 - RS_Units: test the dimension value is range
  *  c9cb6740 - CI: update HKCU key name for x64
  *  c9ec48cf - tangent 3 circle sometimes fails with parallels, fixes
    #1386 (#1440)
  *  59d01fa5 - PR #1446 by melwyncarlo/issue #1444: fixes incorrect
    mtext border
  *  a28f13b5 - Merge pull request #1623 from dxli/master
  *  3fa90959 - CI: build win x64: avoid extra tools
  *  84feb5b2 - Merge pull request #1622 from dxli/hideZeroFoot
  *  6ee4ee36 - PR #1390 by ndeubert: architecture format cleanup
  *  b78e1088 - In Arch mode hide feet when 0
  *  a9d0c1c0 - Merge pull request #1389 from MarcelloTheArcane/master
  *  7b1b3695 - Merge pull request #1621 from dxli/addCommand
  *  7ea5c446 - PR #1331: merge conflicts
  *  94d85b84 - Restore altered translation strings
  *  226113e2 - Removed generic legacy commands
  *  dc2f0bf4 - added commented section for abstracting
    RS_Commands::RS_Commands()
  *  2979f34d - Changed KCs cc<->cr, df->dg
  *  14ae222a - Fixed dups
  *  5c50ff45 - Fixed errors - added cr
  *  f4752dbe - Merge pull request #1620 from dxli/dxf2png
  *  17a15088 - PR #1293 by jalovisko: update README.md
  *  82420dc1 - PR #1293 by jalovisko: Merging issues
  *  9693fbc4 - Added suppor for custom output filename
  *  d05618e0 - Added fully customizable output PNG resolution set from
    the console
  *  d37ddaf4 - Revert README.md
  *  fa7b6194 - Minor refactoring
  *  000b7553 - Added a correct check for file existance
  *  81bf115c - Fixed an issue when both converters to PDF and PNG could
    have been called
  *  2db32afd - Fixed an incorrect exit code issue that prevented the
    app from closing
  *  3173869b - A working version of the DXF to PNG converter
  *  56047a79 - First actual conversion attempt, not very successfull
    yet
  *  54d26871 - Set up graphics extraction from DXF
  *  d7f66a07 - Work in progress on PNG file support
  *  ed069564 - Set up the file read, work in progress on PNG file
    support
  *  cab23df6 - Setting up the variables
  *  7ea5702b - Removed folder existance check for now as it complicates
    things, fixed a bug with incorrect type
  *  2473dd0e - More work on the parser, added DXF file format check,
    check for file existanse and export path existance
  *  3837eaa1 - More work on the parser
  *  4bd61712 - Solved more dependencies and dxf2png can now be called
    (without any output yet)
  *  c04cf707 - quick fix of the dependencies issue
  *  909ccd67 - Added a basic parser, it still requires dependencies to
    be set
  *  6099b98a - Added a template for the conversion to png based on the
    pdf converter presend
  *  2d000d15 - issue #1619: allow snapFree out of snapRange
  *  5406cbda - Add CI support for windows x64
  *  ee3b2eba - Merge pull request #1178 from
    Sleet01/handle_fractional_imperial_dimensions
  *  55c3fec5 - Merge pull request #1138 from gwhitney/alignSettings
  *  5bb2cbf3 - cleanup QG_SelectionWidget - initialize class members
  *  81ccb77e - fix incompatible (pre Qt 5.12) change from 26a658f
  *  cd5885a6 - issue #1577: finish panning properly
  *  e3097f74 - fixed the previous commit: 63491265
  *  63491265 - pull request #1445, issue #1288: tan2_1p fixes
  *  26a658ff - Merging pull request #1450
  *  4d50e627 - Merge pull request #1592 from cfelder/fix-ttf2lff-
    freetype
  *  0aa5e97a - PenWizard: code cleanup
  *  bd83f13a - double click to edit by top selected container
  *  c7abf8c5 - merging fixes for MR1535
  *  12b15074 - lc_dimarc: building fixes; minor coding cleanup for
    c++14
  *  e8f974a9 - Merge pull request #1484 from melwyncarlo/Task_39
  *  fb99ed53 - Merge branch 'master' into Task_39
  *  e1aad908 - Merge pull request #1535 from pollywinters/issue_1511
  *  36e096f2 - Merge pull request #1582 from natrodrigo/master
  *  102ffeca - Merge pull request #1618 from makos/no-website-install
  *  88924d47 - trim: code cleanup
  *  c3293d96 - entitycontainer: constness fix
  *  9fcdc3a7 - header cleanup
  *  ccff0d04 - rs_graphic: constness fixes
  *  c02371f3 - issue #1616: copy/paste code cleanup
  *  d6a2066e - Add IfSilent jump instruction to skip browser launch
    after install
  *  0f056af3 - updated gitignore
  *  4657adbe - issue #1616: block copy/paste avoid double rotation
  *  3932fb1f - modification: code cleanup
  *  8ca47bdf - edit paste: code cleanup
  *  91b50117 - RS_Block: header cleanup
  *  940302ae - issue #1616: RS_Insert code cleanup
  *  96d3e906 - eventHandler: coding style cleanup
  *  8bdfccf9 - issue #1615: Properties in context menu, when MB3 on
  *  07675a6e - Edit properties: context menu
  *  99918e8e - arc options: action fixes
  *  ed176a46 - graphicview: header cleanup
  *  f99928a1 - issue #1615 : double click on entities to edit
    properties
  *  1dae5f0f - RS_Spline: clean up wrapped points at switching to open
  *  6fd84ff6 - drw_entities: coding style: initialize class members
  *  60817734 - issue #1572: contour area connectivity fix
  *  c84500ce - issue #1598 spline: wrapping control points algorithm
    cleanup
  *  25c2e472 - issue #1598 : save closed splines with wrapped control
    points
  *  c983bb4e - auto zoom: add shortcut Ctl-F
  *  2353381e - boost tuple: namespace boost::tuples
  *  b2b9386c - issue #1514 : hide warning messages Radius=0
  *  4ad13e31 - layer and library widgets cleanup
  *  643f7069 - building fixes
  *  0601d9f5 - lib widget : fix building CI
  *  ff066741 - main window: support dropEvents
  *  84f23dc6 - issue #1603 : part library path cleanup
  *  e9bd492c - building fix: unique_ptr
  *  aec7b716 - issue #891 : treat infinity bulge as zero angle for
    tangential polylines
  *  fb40a2a9 - QG_RecentFiles: save to settings at menu updating
  *  d58422aa - issue #1612 : fixed a typo
  *  8c2e3ce6 - main window singleton: allow cleanup
  *  b6670573 - SplinePoints: file cleanup
  *  9700416d - issue #1610 : length integral LenInt math cleanup
  *  d0b36e35 - SplinePoints: file cleanup
  *  3c6794f5 - SplinePoints: GetMatrix(): RAII coding style
  *  dddf1ad4 - SplinePoints: math functions from the std namespace
  *  0a0bc3b0 - issue #1610 : stable LenInt()
  *  10b1c73c - fixed the previous commit
  *  5e135d65 - coding style: avoid uninitialized
  *  2a74ef2c - issue #1611 : strict main window singleton style
  *  405dda13 - issue #1611 : main window singleton style
  *  0f4bd405 - RS_Ellipse: avoid static casting
  *  0a3e2c62 - RS_MText: use auto type to avoid casting
  *  b20d66fa - Coding style: avoid non-initialized members
  *  d280dc32 - revert incompatible change from 03f0cd2 (for pre Qt
    5.10)
  *  cb949f4f - revert incompatible change from d54d6bc
  *  98eac341 - Coding style: avoid non-initialx
  *  3b6d61a0 - header coding style
  *  f32f41da - Fixed Qt version check for QList::swapAtItems
  *  7181515d - Fixed Qt version check for QList::swapAtItems
  *  ab055202 - header coding style: avoid uninitialized primitives
  *  5d327e50 - RS_MText: allow escaping control strings
  *  d54d6bc1 - RS_Ellipse: math cleanup
  *  a2888e69 - RS_Leader: avoid uninitialized varible
  *  14816bd5 - RS_Command: fixed a Qt building issue
  *  e6db5050 - rs_command: file cleanup
  *  7ce0f744 - header cleanup
  *  03f0cd27 - MText: fixed non-font \F
  *  18c6d01d - rs_math: updated math functions
  *  024ae66d - Qt5: use QTransform instead of QMatrix
  *  17e13704 - painter: math function cleanup
  *  eb675e5e - RS_VECTOR: std namespace for math functions
  *  9f39a7b0 - VectorSolutions: getClosest: update cutoff distance
  *  e880e39e - rs_circle: header cleanup
  *  8303b5bc - Revert picfile plugin: fixed compiling warnings due to
    QString::split
  *  0dc6747d - picfile plugin: fixed compiling warnings due to
    QString::split
  *  3c897aea - contour area: handle reversed arcs
  *  9be3ea42 - Fix linker error when linking freetype w/ ttf2lff
  *  5c3059a8 - Update pt-br translation

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 17 Jun 2023 22:04:04 +0000

librecad (2.2.0~git4804-f55f341e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: f55f341e69b70c2c8ceaf73ad594261406507349
  * Date: 1671435297
  * git changelog:
  *  f55f341e - Merge pull request #1580 from hfiguiere/appdata
  *  ec44894b - Issue #1007 - Update appadata to pass validation
  *  4b91d9b0 - tagged official stable release 2.2.0
  *  a430a803 - update Italian translation many thanks to the
    contributor Roberto De Colle!
  *  b305f15d - fixed #1579, solve mistake in last commit
  *  cca3c2dc - mitigated DWG open warning and allow opening with errors
  *  8558da26 - sync libdxfrw (d73a25c)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 23 Dec 2022 19:35:54 +0000

librecad (2.2.0~git4797-e3fae3dc-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: e3fae3dc49cc544fa716e2573d5fad4c7ca37e2f
  * Date: 1667593426
  * git changelog:
  *  e3fae3dc - sync libdxfrw (d00615b)
  *  f2eff3c3 - fixed #1570, missing resources in unix folder [ci skip]
  *  dbc1f410 - fixed #1567, flood of RS_Modification warnings
  *  1b478b80 - fixed #1568, clang regression with std::initializer_list
  *  8da1b601 - add donate link to help menu
  *  0876feee - add FUNDING.yml for sponsors [ci skip]
  *  07ef2b45 - fix AppImage build
  *  3b878e8d - Merge pull request #1564 from luzpaz/typos [ci skip]
  *  cf6ebe4e - clean up around librecad.appdata.xml
  *  b8deda76 - Fix source comment typos
  *  b08ba896 - fixed appimagetool download for Linux build action
  *  fd3c0b99 - added librecad.desktop.appdata.xml for AppImage creation
  *  6f74b427 - add /usr/lib64 to search for plugins, fixes #1563
  *  0c79bb2b - revamp help menu, open online links direct
  *  2e5d0fc1 - sync libdxfrw (e0dad4c)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 08 Nov 2022 20:08:27 +0000

librecad (2.1.3+git4782-5a07ab41-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 5a07ab418ab23f2f2553d267eeb15a09c1220ec0
  * Date: 1656790681
  * git changelog:
  *  5a07ab41 - update CHANGELOG
  *  3c1b37f4 - sync libdxfrw (a610710)
  *  c8e93bd0 - added CHANGELOG and README to project file [ci skip]
  *  18e8b09d - fix for splines with 32-bit compiler

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 06 Jul 2022 20:27:51 +0000

librecad (2.1.3+git4778-d702618c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: d702618c0446496e20264c0e30705d24779eb5df
  * Date: 1655385126
  * git changelog:
  *  d702618c - Merge pull request #1526 from adamzimny/issue_1525
  *  2536f52d - fixed build for Linux
  *  e8967fb5 - Fix image mirroring - attempt 2
  *  07128e13 - update CHANGELOG
  *  f334bdff - Merge pull request #1530 from pollywinters/issue_1519
  *  49b2a3a6 - Merge pull request #1528 from adamzimny/issue_1527
  *  faacdb4e - Merge pull request #1516 from michalg0x5a/issue_1515
  *  12dc3ea1 - Merge pull request #1503 from melwyncarlo/Task_53
  *  99208a0c - Merge pull request #1456 from melwyncarlo/Task_40
  *  77f0f7e0 - Merge pull request #1455 from melwyncarlo/Task_38
  *  6e6357fe - Merge pull request #1432 from MarcelloTheArcane/update-
    tab-order-in-qg_dlgtext.ui
  *  9f1c564a - manual merge melwyncarlo:Task_11, fixes #1412, closes
    #1417
  *  b8d79fc1 - Merge pull request #1414 from melwyncarlo/Task_8
  *  14f77b18 - manual merge melwyncarlo:Task_6, fixes #1369, closes
    #1411
  *  a40bae34 - fixed int/uint comparison warning from merge of #1407
  *  f671d3ab - Merge pull request #1407 from melwyncarlo/Task_2
  *  c8580843 - update CHANGELOG
  *  734740f3 - fix - spline issue with tolerance on ascii to double
    conversion
  *  88b52a11 - sync libdxfrw (8378f39)
  *  eb022396 - sync statusbar and mouse widget heights, fixes
    #1010,#1026,#1303,#1304
  *  7e2efdad - Issue #1515 Don't scroll blockwidget after toggling
    block visibility

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 19 Jun 2022 17:09:23 +0000

librecad (2.1.3+git4747-f094ab36-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: f094ab36715d4beb36349ac551011264c6168ae8
  * Date: 1651156781
  * git changelog:
  *  f094ab36 - Merge pull request #1537 from luzpaz/typos

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 06 May 2022 22:50:43 +0000

librecad (2.1.3+git4745-0037f14a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 0037f14a7451972fd0c986bee837147c4921b3ac
  * Date: 1650118718
  * git changelog:
  *  0037f14a - Merge pull request #1367 from gwhitney/status_hidpi
  *  69f0d15b - formatting - removed debug artifacts and commented code
  *  5480eba6 - fixed condition for solid fill hatch polygones, fixes
    #826,#1353,#1354
  *  2096e840 - Merge pull request #1365 from phkahler/glyphs [ci skip]
  *  f0defe42 - Merge pull request #1350 from Symbian9/master [ci skip]
  *  07026502 - added CHANGELOG.md - history of changes back to version
    2.1.0 [ci skip]
  *  4602ec6a - CI, skip jobs with secrets in forks [ci skip]
  *  3c4163a9 - build Windows, MacOS and Linux packages in one action
  *  581f3993 - add new error code from libdxfrw update

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 22 Apr 2022 22:26:46 +0000

librecad (2.1.3+git4732-5d331c8b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 5d331c8bf51031f46989a5ce3350c59508505289
  * Date: 1641752416
  * git changelog:
  *  5d331c8b - sync libdxfrw (072aecd)
  *  e829bce1 - fixed possible out of bounds read with MText entities
  *  258fef91 - sync libdxfrw
  *  b7092a95 - AppImage was broken by fix for #1488
  *  96bd34ba - fixed wrong translations folder for additionals paths
    from settings
  *  8c3b652a - fixed #1488, getDirectoryList() failed on Linux when
    librecad is in
    /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  *  2c2c1b0d - Merge pull request #1491 from luzpaz/typos [ci skip]
  *  3613d526 - FIx various source comment typos
  *  70f7a86b - Merge pull request #1475 from eldstal/polyline_bounds
    [ci skip]
  *  29e85c5f - Merge pull request #1469 from eldstal/hatch93 [ci skip]
  *  e6a8fffe - Merge pull request #1465 from eldstal/cdatalist [ci
    skip]
  *  d9dcb27e - Merge pull request #1463 from eldstal/security [ci skip]
  *  a4a4f297 - Merge pull request #1384 from a1346054/fixes [ci skip]
  *  468c2659 - Merge pull request #1359 from luzpaz/typos [ci skip]
  *  b3e667f2 - copy/rename media files in desktop folder to remove
    whitespaces [ci skip]
  *  8c9e0659 - Fix bounds check in DRW_LWPolyline
  *  57714258 - Added NULL check for hatch code 93
  *  4edcbe72 - Added bounds check to CDataList in JWW parser
  *  f3502963 - Added bounds checking to CDataMoji in jww parser.
  *  eba14138 - remove --tags from git describe
  *  8d1116b5 - run action on master push only
  *  ad4802f7 - Merge branch 'appimage'
  *  d1d8318f - AppImage - use git sha for version, upload to latest pre-
    release
  *  a64f1f48 - AppImage - build on GitHub Actions, with go-appimage
    tool
  *  1d314270 - migrated static analyzer build from Travis CI to GitHub
    Actions

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 14 Jan 2022 20:05:01 +0000

librecad (2.1.3+git4700-e75cba87-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: e75cba87d6cdc4bd563faae9dd5524a5784ac905
  * Date: 1636660067
  * git changelog:
  *  e75cba87 - Merge pull request #1402 from andesfreedesign/master
  *  bfb0e700 - Add drw_base.cpp
  *  33b34d4a - libdxfrw update

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 19 Nov 2021 17:16:36 +0000

librecad (2.1.3+git4697-415f8fcb-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 415f8fcbe4e8b256884c17da344b0fadc901a023
  * Date: 1628190322
  * git changelog:
  *  415f8fcb - fixed #1371, read failed with binary DXF

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 19 Aug 2021 20:04:58 +0000

librecad (2.1.3+git4696-e02f3580-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: e02f3580311d50b617427652ff77988f6bd62d9d
  * Date: 1621071265
  * git changelog:
  *  e02f3580 - Merge pull request #1345 from jirislaby/boost_1_76
  *  72a91706 - Merge pull request #1314 from serval2412/cppcheck_dup
  *  1fd07fcd - add boost tuple include to fix build

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 16 May 2021 21:48:02 +0300

librecad (2.1.3+git4692-76828565-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 768285653c46e734a75460928142cda1a33c2c53
  * Date: 1618266108
  * git changelog:
  *  76828565 - rs_filterinterface.h - #include <QObject> for older Qt
    versions
  *  8a5b51cf - QC_ApplicationWindow - fixed small drawing windows in
    tabbed mode, when open failed
  *  ec8b1a58 - RS_FilterDXFRW - implement last error message on file
    open for DXF/DWG files
  *  edcc7c85 - libdxfrw - implemented error codes for reading DXF too
  *  0f2852a4 - fixed LFF font issue 2 from #1252
  *  56dddeb3 - fixed issue with detecting LFF font files
  *  ad9c302a - tools/ttf2lff - add more font info and FreeType version
    to output

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 15 Apr 2021 20:59:29 +0300

librecad (2.1.3+git4685-8b2b62d1-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 8b2b62d1a3fbd2f5510c6cd5bc9502d554c03004
  * Date: 1615934158
  * git changelog:
  *  8b2b62d1 - fixed #1282, impossible condition
  *  c819fed7 - libdxfrw - further improvement reading non LibreCAD DXF
    files
  *  50805858 - fix: angular dimensions persistently pull single click
    selection with arrow size 0
  *  00b0bbce - list plugin - fix formatting of merged #1325
  *  4de825db - Merge branch 'master' of
    https://github.com/perepujal/LibreCAD into perepujal-master
  *  369783fa - fix: sf ticket 611, libdxfrw failed to open non LibreCAD
    DXF files
  *  187c4f18 - List entities plugin: Add text insertion point and text
    content to its output.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 18 Mar 2021 23:37:07 +0300

librecad (2.1.3+git4678-6dfb387c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 6dfb387cdf927d69ec75a0dc445b574f860bd9b3
  * Date: 1611517828
  * git changelog:
  *  6dfb387c - libdxfrw - manual merge changes from LibreCAD/libdxfrw

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 04 Feb 2021 23:34:29 +0300

librecad (2.1.3+git4677-aa5a427f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: aa5a427f5a860f52264e9897f3fbad8aa4632a78
  * Date: 1609284710
  * git changelog:
  *  aa5a427f - changed Help->Online->Commands link, fixes #1215
  *  631d6ceb - fixed some links from Help->Online menu, closing #1216
  *  973e81c9 - libdxfrw - fixed issue when reading DWG hatch entities
  *  115bb86a - Merge pull request #1298 from luzpaz/source-typo-mesage
  *  0dfe6353 - fixed wrong case from search/replace
  *  0d2b7c46 - Merge pull request #1297 from luzpaz/source-typo
  *  d4aa4f55 - Fix source typos
  *  8435e766 - Fix source typo
  *  299a1827 - Merge pull request #1283 from
    baranovskiykonstantin/plotsettingsfix
  *  f9b6520d - libdxfrw - added missing print() methods for
    signed/unsigned char
  *  61a6aafe - Merge pull request #1234 from v-tyrtov/dwg-spline-fix
  *  59b243f7 - Merge pull request #1292 from luzpaz/typos
  *  54efebef - refactor previous merge of #3a2c2c52a
  *  3a2c2c52 - Merge pull request #1257 from
    JeremyRuhland/line_visibility, closes #1256
  *  0f83a3e5 - Merge pull request #1249 from GSStnb/fixBsizes
  *  0c74be32 - Fix typos

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 06 Jan 2021 22:09:02 +0300

librecad (2.1.3+git4650-ca256068-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: ca256068c0ee47458e733e458f6088c26e6975f4
  * Date: 1606052462
  * git changelog:
  *  ca256068 - additional fix for #1137, angle not consistent between
    move and rotate option and dialog
  *  32c23ca2 - Merge pull request #1137 from gwhitney/moveRotateAngle

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 26 Nov 2020 17:42:14 +0300

librecad (2.1.3+git4647-9f2c32dd-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 9f2c32dd4b9dc2ed5e028b682473b098c48ad3e0
  * Date: 1591888939
  * git changelog:
  *  9f2c32dd - fixed save/restore issue of snap modes, caused by #1147
  *  0e463c42 - fixed #1101, also implemented new undo/redo buffer for
    active line drawing undo/redo (rebased)
  *  c888a724 - reformatting for readability to debug #1101
  *  a857c382 - fixed garbage return issue detected by static analyzer
  *  9c92615a - fixed dead initialization issues detected by static
    analyzer
  *  39fa2d4b - fixed dead assignment issues detected by static analyzer
  *  4bfe1170 - fixed a follow up issue from #1233, call of an
    uninitialized pointer
  *  8cbf149f - fixed chance of calling nullptr objects, detected by
    static analyzer

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 20 Jun 2020 23:12:22 +0300

librecad (2.1.3+git4639-38c3f94b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 38c3f94b58cad366ae39532411896f7d604049b2
  * Date: 1591388985
  * git changelog:
  *  282f779a - fix for #962, export black/white with black background
    used black pen too
  *  09072e4e - alternativ fix for pull request #1232, allow to call
    setBackground() with Qt::GlobalColor
  *  e8d9114c - fixed some more issues with paper size, NPageSize is no
    paper size, localize paper size names
  *  0de519c9 - additional fix for #1201, equidistant polylines had the
    correct layer, but not the layers properties
  *  cf298bb3 - Unhighlight entity after exiting Orthogonal Line tool.
  *  79136f4a - Use std::sort instead of qSort (deprecated since Qt5.2)
  *  409e379f - Remove useless operator=() for RS_VectorSolutions
  *  e1cb7f6c - Remove useless operator=() for DRW_Coord
  *  61f52df7 - Fix issues with DL_Extrusion
  *  ad7b375b - Remove useless operator=() for DL_Attributes
  *  5fed3c66 - Fix deprecated usage of QString::null
  *  b24e26a6 - fixed .travis.yml, applied new access token on Travis
    for static analyzer reports
  *  20c77c8d - fix .travis.yml, install Qt dependency libgl-dev, build
    machine has only 2 cores
  *  0dab398b - update .travis.yml, use bionic image, llvm 3.9 and
    Qt5.12
  *  0729c801 - fix null pointer dereference in main window
  *  50d0591a - Manual merged pull request #1177 from
    baranovskiykonstantin/blocklistforblock
  *  3e4696c8 - Page sizes cleaned up, added ANSI
  *  8dc3f8bd - Test
  *  f19f1400 - Update qg_commandedit.cpp

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 06 Jun 2020 15:21:59 +0300

librecad (2.1.3+git4594-39300516-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 3930051681270c2309f4c94f128eb4eba7e57469
  * Date: 1590159470
  * git changelog:
  *  1dfeeb0d - Print Preview: fix auto zoom on opening.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 25 May 2020 04:18:53 +0300

librecad (2.1.3+git4583-51b21cc7-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 51b21cc7011e9a277c58e7ec2bf2b90018ecb4dc
  * Date: 1584284367
  * git changelog:
  *  51b21cc7 - added more digits to extension lines lenth input box
    (#1203)
  *  49a607df - Print Preview behaves as other windows.
  *  5f242515 - Sync options visibility with window focus.
  *  a1997541 - Print Preview not closing.
  *  01f8295e - fixed more links, mostly HTTP to HTTPS
  *  a4f918c0 - eliminate warning about unused variable
  *  c2697cb7 - little clean up after merge of #1147
  *  e5aab73a - fix #1085 Zoom panning can only be used once and must
    then be reactivated - Right clicking with the mouse now exits the
    toolbar panning mode.
  *  61355504 - fix: allow Save As for unmodified files
  *  f37b83ec - fix: Save As could not create new files
  *  a02e7987 - - ifdef'd the qt_ntfs_permission_lookup; this is only
    available on Windows platforms
  *  940d0b23 - - Fixes an endless loop that occurred when trying to
    save a write-locked file -- (present save as dialog if the file is
    not writable) - Fixes a bug preventing Print Preview window from
    closing, except by closing it's parent window - Fixes a windows-
    specific file permission checking issue (enable support for NTFS
    security in Qt)
  *  9830e2e1 - - Move EntityTypeList typedef to rs_snapper - Reverse
    font changes from previous commit
  *  eb2e1465 - - Propose alternative solution for fix #1111, #1117 -
    commit d0a0ef2 causes Compiler Error C2797 in Visual Studio
  *  3d84165f - convert connect() to newer syntax; minor style fixes
  *  7d8cb17b - fix: using shift key to select has deselected
    layers/blocks between after mouse button release
  *  a1c4a56c - Toggle actions adjustments for Layer/Block Lists
    multiselection feature.
  *  faa5c2fc - Multiple blocks selection, toggling, deletion.
  *  8148c309 - Respect Layer List Filter on layers removal
  *  6449ab7c - New feature: multiple layers selection and deletion.
  *  9fb6ef7a - Repairs issue described at:
    https://github.com/LibreCAD/LibreCAD/issues/1145 Adds "hold shift"
    feature to mirroring entities
  *  29cdebba - Extension of the previous commit.
  *  a740bb6f - Extension of the previous commit
  *  513ced09 - Fit to whole page.
  *  522bc0d2 - Do not highlight selection on Print Preview
  *  bac8ceaf - Print Preview: Line width scaling
  *  c7de85e1 - Reorder Users Documentation
  *  69a43e46 - When drawing a line by a mouse and holding the "Shift"
    key during placing the line endpoint, one can move the cursor only
    along certain angles (0°, 15°, 30°, 45°, etc.). This commit enables
    this feature also for moving and copying entities. I. e. when the
    reference point is selected and the entity is moved, by pressing the
    "Shift" key one can move the reference point (and the entity) only
    along the certaing angles (0°, 15°, 30°, 45°, etc.) measured from
    the original reference point position.
  *  cfc8ff50 - Make layout of the Divide plugin independent of pixel
    density

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 21 Mar 2020 02:28:11 +0300

librecad (2.1.2+git4548-10d502db-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 10d502db66527ea64a2a012add2e57059e2409f0
  * Date: 1560206051
  * git changelog:
  *  d0a0ef28 - fix for GCC 9 build issue, as reported in #1111 and
    #1117
  *  3110f6e8 - - Previous commit broke Save As; now fixed
  *  19d4d9ba - - Add File > Save All and File > Close All actions +
    icons - Some refactoring/enhancement of the MDI functionality to
    make this easier
  *  52652be8 - - Fix #1108 Improve User Experience while working with
    multiple drawings - Fix #515 DWG zoom position on opening
  *  b5e21c59 - - fix #1085 Zoom panning can only be used once and must
    then be reactivated again - restored a disambiguation needed for
    proper handling of middle-mouse vs toolbar panning
  *  621e1dc0 - - a little cleanup
  *  92dbb51f - - fix #1107 Create a preference to toggle Free Snap mode
    when SPACE BAR is pressed - Created a new "Keyboard settings" group
    in Options > Application Preferences > Defaults - Also moved
    Evaluate on SPACE preference into this category

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 14 Jun 2019 06:34:34 +0300

librecad (2.1.2+git4535-e38b7088-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: e38b70889f41536ea24b224d940069a897a896f0
  * Date: 1558039579
  * git changelog:
  *  206fb7c2 - Bugfix #1102 modfiy image refresh
  *  7ac6be61 - - fix #981 [2.2.0 Release Candidate] Negative numbers
    are not accepted for Copy/Move input points - reverses a commit
    authored by webmite from 10 May 2017:  Update rs_math.cpp eval fn to
    allow Imperial shorthand - Issue #878, Pull Request #885 - this
    string editing approach appears to be bug-prone; a better solution
    would be to apply some pre-evaluation of the terms

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 30 May 2019 02:50:58 +0300

librecad (2.1.2+git4531-9236667f-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 9236667fa02412c9240ac033556a2cb3e48093fa
  * Date: 1557675321
  * git changelog:
  *  99f52fb0 - - Ignore Visual Studio project files.
  *  db499031 - - Removed the Visual Studio project files from source
    control. - These will need to be generated with the Qt Visual Studio
    Tools in order to get correct path info from custom.pro
  *  af1983bb - - Accidentally submitted my personal custom.pro in the
    last commit.
  *  8021d43c - - Issue #914 "cannot find some files, while
    LibreCAD2.1.3 is compiled by VS2015 and Qt5.7.1" - Refactor types
    used by jwwlib due to conflicting stream operator definitions with
    MSVC - Removed the remainder of the previous MSVC specific hacks -
    Issue #930 "LibreCAD source code compile problem" - Fixed some
    string handling for a char/wchar compile issue
  *  06657fbb - Issue #930 "LibreCAD source code compile problem" -
    Fixed several char vs wchar problems preventing successful compile
    with _UNICODE flag.  Should be able to compile either way now. -
    Spot tested math expressions using a few shapes like Circle: center,
    radius.  Seems ok so far.
  *  be75b9dc - Print Preview: Limit paper movement.
  *  664464a5 - dxf2pdf: tiled printing support added.
  *  f2f93458 - dxf2pdf: margins support added.
  *  bd7c5893 - New action: Calculate number of pages.
  *  17ca3ccc - Tiled printing.
  *  43cd70fd - Printing respect paper margins.
  *  21930edd - Print Preview shows paper margins.
  *  913218d2 - Page margins and page preview.
  *  96a61c94 - Apply scroll direction inversion to Trackpad
  *  6da10f56 - Optional inversion of zoom direction
  *  5d2a61e4 - RS_Modification::changeAttributes() rewritten,
    implemented Block-deep Undo
  *  1f72af4b - Exclude only INSERTs from Undo on Block-deep attributes
    modification
  *  f9fd5616 - Fix for #1080 and #755

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 13 May 2019 14:27:55 +0300

librecad (2.1.2+git4508-c8c5948b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: c8c5948b0e1b9c37d83240eccb4acf6e71d1efff
  * Date: 1555702669
  * git changelog:

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 28 Apr 2019 02:20:16 +0300

librecad (2.1.2+git4504-46458dee-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 46458dee172f744a7fbf4d17e6602d5ec9ea5dfa
  * Date: 1552846142
  * git changelog:
  *  008a92b4 - Skip re-saving already saved settings values

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 18 Mar 2019 08:55:47 +0300

librecad (2.1.2+git4498-c2635841-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: c2635841b751e1cea1b4cfc2129fea265b41241c
  * Date: 1549023533
  * git changelog:
  *  c2635841 - fixed Doc_plugin_interface::getEnt(), plugin sameprop
    crashed because of too early deleted action

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 02 Feb 2019 07:12:21 +0300

librecad (2.1.2+git4497-10289432-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 10289432989a1bc4e6b626a82909ea689e7b02c2
  * Date: 1546690881
  * git changelog:
  *  057acbee - Optional inversion of mouse wheel scrolling directions

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 07 Jan 2019 00:06:11 +0300

librecad (2.1.2+git4485-71f64ff5-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 71f64ff56ace31cc0a83accfa40328c8795bcdba
  * Date: 1545140610
  * git changelog:
  *  71f64ff5 - fixed #1060, single dimension tolerance labels made
    false lines on zoom out

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 22 Dec 2018 11:48:30 +0300

librecad (2.1.2+git4484-8604f171-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 8604f171ee380f294102da6154adf77ab754d403
  * Date: 1542048524
  * git changelog:
  *  8604f171 - fix for #1038/#1045, libdxfrw violation, second try
  *  6da7cc5f - fixed #1038, write access violation when a malicious dxf
    is fed to libdxfrw
  *  eaf8e5b3 - Added filter field to Block List widget
  *  85156131 - Fix a repeated typo in comments

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 24 Nov 2018 19:44:14 +0300

librecad (2.1.2+git4478-ccf50e3e-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: ccf50e3eb46f9f8c2d28020e9584c59cf41baeb6
  * Date: 1541700651
  * git changelog:
  *  ccf50e3e - fixed #1024, random LayerList icons issues on multi
    layer block imports, many thanks to @xanderdin
  *  6a0e9a9b - replaced invalid links to old website and contacts
  *  6ad16fa2 - git ignore *.autosave files
  *  60a9f5f5 - Fixed 2 segfaults causes
  *  f40b4818 - Respect both tolerance and negative factor values on
    block import. As suggested by Armin Stebich (lordofbikes).
  *  c561e776 - Modified as suggested by Armin Stebich (lordofbikes)
  *  a0e360d9 - Set factor to 1.0 if user inputs 0 on block import
  *  d28a72cc - Fix: Factor value was ignored on block import
  *  99f6ad3c - Fix: RowSpacing and ColSpacing values were swapped in
    Insert properties dialog
  *  e469c5e8 - fixed twice increment in --debug command line switch
    handling
  *  955be8a0 - bundle all plugin modifications into one undoCycle
  *  ed90a197 - added LC_UndoSection class, a wrapper for RS_Undo
    methods

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 10 Nov 2018 05:14:27 +0300

librecad (2.1.2+git4460-3d878346-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 3d8783462d9f6ea230747fc630620a34512e5a00
  * Date: 1540470248
  * git changelog:
  *  3d878346 - fixed #932, polyline was exploded, when selected while
    pasting
  *  2d8e0259 - improved RS_Undo startUndoCycle() and endUndoCycle()
  *  a65452d3 - fixed asking to save drawing, when closing unmodified
    drawing
  *  3fe68cd0 - gitignore Unnamed, the autosaved default document
  *  7903c8ba - fixed #1002, rotating multiple entities needed multiple
    undos, for each entity
  *  589e4f26 - fixed #993, crashed after cut, paste, undo
  *  a035ef4d - revert 35c23aca and cleanup RS_Undoable class
  *  7806f415 - removed unused rs_actionparisdebugcreatecontainer files
  *  11bd3537 - fixed Windows build with MinGW for divide plugin
  *  8b43ebbb - fixed build with divide plugin improvment
  *  1f67158c - Update dividedlg.h
  *  37bc17da - Update dividedlg.cpp
  *  1c99344f - Update divide.h
  *  293efb11 - Update divide.cpp
  *  3a218543 - uncheck 'Print to file' checkbox in QPrinterDialog
  *  0e8927d8 - fixed #1021, oversized layer list icons for print and
    construction

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 27 Oct 2018 06:54:44 +0300

librecad (2.1.2+git4443-d90dbd2b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: d90dbd2bb8e4f5f2a9edfb672b24216bbc5e77fb
  * Date: 1539325729
  * git changelog:
  *  d90dbd2b - removed forgotten debugging output
  *  d779df21 - fixed #1016, '@' key press didn't activate command box
  *  b8e2a3c4 - fixed #1019, angular dimensions failed to move, rotate,
    mirror or scale
  *  761ec267 - fixed #1008, added mouse button hint to clarify
    properties tool handling
  *  8d8c1545 - fixed #980, column width in layer list too big since
    Ubuntu 18.04
  *  16957f71 - Deselect entities on locking all layers
  *  37d60156 - Lock/unlock all layers
  *  aa4832c5 - fixed #940, sf599, Spline regression, where the
    startpoint was at 0,0 by mistake

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 13 Oct 2018 21:50:51 +0300

librecad (2.1.2+git4432-70f430e3-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 70f430e3d9320f6c9e9eded758f22fee03929ad2
  * Date: 1535404770
  * git changelog:
  *  70f430e3 - Merge pull request #1003 from luzpaz/misc-typos
  *  c43f770a - added new plugin Divide, many thanks to contributor mad-
    hatter
  *  7f127556 - Misc. typos

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 02 Sep 2018 05:39:16 +0300

librecad (2.1.2+git4429-439d75dc-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 439d75dc35381aae7ffe67505da9b93c596afb5b
  * Date: 1531485978
  * git changelog:
  *  439d75dc - fixed #998, protect 4th vector when triangle solid is
    modified (move(), rotate(), scale(), mirror())
  *  0653ed64 - style: more re-formatting and style fixes in rs_solid.*
    files to prepare fix of #998
  *  e1124d28 - re-formatting rs_solid.* for readabillity
  *  190a5a8a - fix: gcc7 warning 'misleading-indentation'
  *  7dba9927 - fix: gcc7 warning 'varianbles may be used uninitialized'

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 21 Jul 2018 22:37:02 +0300

librecad (2.1.2+git4424-ac524dbd-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: ac524dbd17008f08e6995e6fe8b27094dd321d15
  * Date: 1528813438
  * git changelog:
  *  ac524dbd - Merge pull request #990 from jirislaby/master
  *  b88d49c6 - Merge pull request #986 from Daniel-Trevitz/master
  *  6c392e90 - fix build with Qt 5.11
  *  3ce3db27 - Merge pull request #977 from ayaromenok/00_RollOutBranch
  *  3d8228a8 - Fall through warning
  *  f0979fc7 - Fix missing break
  *  ca9c2268 - SVG export fixes:  - crash on windows with Image Export
    (great thanks to lordofbikes)  - use fabs instead of abs in baking
    calculation to avoid issues on certain conditions with very small
    dimentions  - slightly increased height of Export dialog to avoid
    issues with displaying UI with some combination fonts/system (Ubuntu
    16.04 with default fonts)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 24 Jun 2018 14:19:09 +0300

librecad (2.1.2+git4416-e8a4a95c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: e8a4a95c0217ff8caaf9fe960d83b46c44e9b308
  * Date: 1525861216
  * git changelog:
  *  e8a4a95c - Merge pull request #982 from luzpaz/typos
  *  5e27db74 - Comment typos

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 12 May 2018 17:27:27 +0300

librecad (2.1.2+git4414-3b5e31af-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 3b5e31af30d32d4930c471dc6a9c9dafa00bd37e
  * Date: 1524209584
  * git changelog:
  *  3b5e31af - Merge pull request #975 from pwnage101/fixed-length-
    extension-lines-scale
  *  984c046e - fixed length extension lines should scale according to
    the General Scale
  *  f5d240a7 - Merge pull request #973 from shangke1988/fix972
  *  3e0292d8 - added copyright headers, added some #ifdef Q_OS_MAC
    guards
  *  b51cf37a - Merge pull request #924 from xzcvczx/fix877
  *  3cb13bf3 - fix972

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 29 Apr 2018 09:09:06 +0300

librecad (2.1.2+git4407-0559d309-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 0559d30982ff35fa704b5a0f95f1cb1b4c06780e
  * Date: 1522855615
  * git changelog:
  *  0559d309 - added new pattern millstone.dxf from @Lamy78, PR #964
  *  050f9e30 - Merge pull request #967 from
    pwnage101/better_horizontal_dimensions
  *  1fc9dd89 - Improve appearance of inside-horizontal dimensions
  *  fbfb1a04 - fix code style, mostly removed mixed tabs and spaces

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 14 Apr 2018 14:44:36 +0300

librecad (2.1.2+git4403-edf15fe9-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: edf15fe9c2df522d8fe97210681663fb0d937a38
  * Date: 1521668294
  * git changelog:
  *  edf15fe9 - Merge pull request #915 from Akranen/Fix_Hang
  *  bda7e746 - Merge pull request #958 from
    pwnage101/dimangular_respects_user_label
  *  ccd99bc4 - Merge pull request #956 from luzpaz/doxy-typos
  *  df6f0793 - Merge pull request #953 from kkouptsov/fix-error-C2511
  *  5a6c01d7 - Merge pull request #952 from kkouptsov/fix-error-C2600
  *  985786d2 - Angular dimensions now respect user's custom label text
  *  0822aa72 - Misc. typos (including doxy)
  *  a5729c7b - Fix for error C2511: overloaded member function not
    found in 'CDataSen'
  *  4a02629f - Fix VS error C2600 by removing ambiguity in default
    constructor.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 31 Mar 2018 14:03:21 +0300

librecad (2.1.2+git4393-58deefa3-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 58deefa34cb07a3b7b4ed97cd1ac70f9b7fc56d0
  * Date: 1518728085
  * git changelog:
  *  58deefa3 - refactoring of RS_DimAngular, fix #911 and #824/#896
  *  da597e1a - reformatting for better readability, in preparation to
    fix issues #911 and #824

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 17 Feb 2018 11:22:12 +0300

librecad (2.1.2+git4391-4be8c374-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 4be8c374d59ac36805e8eb9330aba9090b4ef899
  * Date: 1517555702
  * git changelog:
  *  4be8c374 - Merge pull request #947 from webmite/update-AddLayer-
    routine-to-use-QRegularExpression
  *  0fce3fe6 - updated-revision-of-AddLayer-routine-with-
    QRegularExpression
  *  7cf17a2b - updated-AddLayer-routine-to-use-QRegularExpression
  *  4da35678 - Merge pull request #922 from xzcvczx/fixes
  *  45bb0153 - Merge pull request #938 from luzpaz/followup-misc-typos
  *  7b77c9d9 - Merge pull request #934 from webmite/fix-new-layer-auto-
    numbering
  *  bd59165a - ...more typos
  *  ab97cc5f - ...another minor typo
  *  41c3dbf0 - More misc. typos
  *  1d1f875c - fix-new-layer-auto-numbering

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 04 Feb 2018 12:36:41 +0300

librecad (2.1.2+git4374-54269f5b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 54269f5b02c7890871873b8506d816f939554ca5
  * Date: 1511855678
  * git changelog:
  *  54269f5b - Merge pull request #931 from luzpaz/misc-typos
  *  10675266 - Follow up typo and grammatical fixes
  *  5be9281b - Merge pull request #928 from webmite/replace-auto_ptr-
    with-unique_ptr
  *  74e7a3c2 - Merge pull request #896 from webmite/Better-Angle-
    handling
  *  5d8ea1b8 - clarification for issue #843 resp. pull request #860
  *  fc4c1a21 - Merge pull request #927 from CivilGuy/CivilGuy-patch-1
  *  f071eaa1 - Merge pull request #925 from luzpaz/typo-fixes
  *  d5920371 - Misc. typos

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 03 Dec 2017 21:58:13 +0300

librecad (2.1.2+git4363-0715edc7-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 0715edc7d8082087d172c4bc822186eecd9c9e67
  * Date: 1510696019
  * git changelog:
  *  0715edc7 - Merge pull request #916 from
    mojadita/luiscoloradourcola@gmail.com_GEARS
  *  810720a8 - Correct bug in tooth base
  *  45e14788 - Add checkboxes to draw all teeth and sym face
  *  43732c07 - Merge branch 'master' into
    luiscoloradourcola@gmail.com_GEARS
  *  c1b18159 - Missed one initializer on struct definition
  *  1feb348b - minor bug in aux function
  *  a6c62b45 - Solve requested changes
  *  23fdb59b - Ready to merge
  *  60c1f319 - Got the cutting point of two evolutes
  *  906a2d7f - Merge pull request #895 from webmite/layer-color-
    validation
  *  5e204951 - Merge pull request #919 from xzcvczx/fixes
  *  570a27fc - Add angle_0 to ev instance
  *  f36f230d - Change Set to Add in accordance with PlistBuddy
    documentation
  *  30c271e7 - Add override to silence warning
  *  b699ab02 - Fix trackpad scroll when scrollbars are disabled
  *  66a8bc34 - One step more towards finding the common point
  *  3a440abc - Added first root finder
  *  a035b08e - don't delete qt widgets
  *  f1e6cd98 - some cleaning
  *  2578072f - rewrite widget creation
  *  43049064 - Reset the module to calculate interference to 1.0
  *  39348c93 - Merge branch 'trial_for_better_calculation' of
    github.com:mojadita/librecad into trial_for_better_calculation
  *  6cca29f6 - good calculus of interference evolute
  *  23efd6a6 - interferring curve is bad
  *  332ebc78 - at last hit to the right parameters
  *  819fe492 - Merge branch 'luiscoloradourcola@gmail.com_GEARS.2' of
    github.com:mojadita/librecad into
    luiscoloradourcola@gmail.com_GEARS.2
  *  d33b6698 - Add parameter to evolute calculation
  *  14452e03 - Work in progress
  *  ba4b32df - Merge branch 'luiscoloradourcola@gmail.com_GEARS' of
    github.com:mojadita/librecad into luiscoloradourcola@gmail.com_GEARS
  *  0bcde75f - gear rotation/disp made with QTransform instance
  *  41e08df6 - draw the first teeth as it is computed
  *  c0bf9757 - add checkbox to use layers or not
  *  4efba083 - put gear in gear_M<module>_shapes layer
  *  b0114b5c - include module in gear layers
  *  6d9805c1 - correct bug about addendum/dedendum calculation
  *  cdde1e7c - delete pitchChanged from gear.h
  *  9e4e3d5a - Add support to draw auxiliary lines
  *  5f20edfb - rotateBox always set to 0.0
  *  e8ea5545 - bug saving dedendum value
  *  239a6165 - Change rotate to allow neg angles
  *  d2d431b3 - Add rotate field to form
  *  e4f4f524 - Redone the drawing algorithm
  *  457971d6 - Changed user interface

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 16 Nov 2017 20:46:01 +0300

librecad (2.1.2+git4319-a25b05b-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: a25b05b74caf75d60ac60248b7ac1c2b3beda315
  * Date: 1496178728
  * git changelog:
  *  a25b05b - Merge pull request #889 from webmite/Preview-Surveyors-
    Units

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 02 Jun 2017 20:22:54 +0300

librecad (2.1.2+git4317-db449e8-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: db449e8cce1c84c0df39c36ef6ce305ff2a5d366
  * Date: 1495572774
  * git changelog:
  *  db449e8 - Merge pull request #888 from webmite/Print-Custom-
    PageSize-handling
  *  5ef1206 - removal of unused code lines
  *  7673c19 - fix for Issue #864 -- custom page size - incorrect unit
    handling This gets the unit handling corrected for custom paper
    size. It appears to generate correct dimensional pages for 'File |
    Export | pdf' but it does not complete printing if using something
    like pdf creator if just doing a 'File | Print'.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Mon, 29 May 2017 15:49:00 +0300

librecad (2.1.2+git4314-afb182a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: afb182a531228ec6c6f5b26e4bb44a829a965405
  * Date: 1494628184
  * git changelog:
  *  afb182a - Merge pull request #886 from webmite/master
  *  7c222fe - Merge pull request #885 from webmite/rs_math-eval-
    Imperial-shorthand
  *  dc5f386 - Fix for issue #884 -- Improve Current Drawing Preferences
    - Units tab upDateAnglePrecision referenced wrong comboBox
  *  8a18e58 - Update rs_math.cpp eval fn
  *  199e6ec - fix github issue #880, gcc 6 builds failed because of -
    isystem and #include_next issues in gcc 6
  *  3d4adab - Merge pull request #869 from Germar/master
  *  e98c054 - fix: correct auto refactoring mistake, renaming
    destructor ~RS_ActionDrawLinePolygonCenTan to
    ~LC_ActionDrawLinePolygonCenTan failed
  *  c797282 - Merge pull request #857 from rbuj/20170111-2-osx
  *  4fd2868 - refactoring manual merge of pull request #851, insert
    copyright and rename files and class from RS_* to LC_*
  *  9f56ac9 - add an action: a new method to draw a polygon
  *  19bc891 - fixed bug: entities painted by plugins become invisible
    at certain positions on drawing
  *  7461a36 - when loading plugins, only load *.dll files on Windows
  *  9db3f51 - use standard Qt plugin format for plugins
  *  5862d43 - Updated translations after lupdate
  *  ba7b933 - Merge branch 'master' of github.com:LibreCAD/LibreCAD
  *  ead9450 - Updated translations from pootle server
  *  95c20a0 - added some extra detail to README.md [ci skip]
  *  ab2886a - updated markdown links in README.md [ci skip]

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 14 May 2017 18:13:34 +0300

librecad (2.1.0+git4292-f0357fe-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: f0357fe032caac5792400cbc5c180e95e5282399
  * Date: 1489335041
  * git changelog:
  *  f0357fe - Merge pull request #856 from rbuj/20170111-osx

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 25 Mar 2017 11:12:15 +0300

librecad (2.1.0+git4289-4c5a084-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 4c5a0848b9946f487f2eb99b7c6e978d1d930aa9
  * Date: 1487538199
  * git changelog:
  *  4c5a084 - Updated translations after lupdate
  *  7162da1 - Updated translations from pootle server
  *  cf5f3ad - fixed copy/paste error with Macedonian language support
  *  940a616 - Updated translations after lupdate
  *  4968245 - Merge branch 'master' of github.com:LibreCAD/LibreCAD
  *  fcb83eb - Updated translations from pootle server
  *  99dad60 - added support for Macedonian language
  *  fda22d7 - Updated translations after lupdate
  *  5c04115 - Merge branch 'master' of github.com:LibreCAD/LibreCAD
  *  ea84d92 - Updated translations from pootle server

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 24 Feb 2017 12:35:03 +0300

librecad (2.1.0+git4279-3ab980c-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 3ab980c1abbcb44859b2101546b12d80ac34a659
  * Date: 1484074403
  * git changelog:
  *  3ab980c - GCI - fixed spelling mistakes submitted by ApratimRanChak

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 21 Jan 2017 11:28:52 +0300

librecad (2.1.0+git4278-1f8d882-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 1f8d88288dc0b2d2e44939d130997267712f6205
  * Date: 1483032116
  * git changelog:
  *  1f8d882 - corrected spelling mistake
  *  c7691a1 - corrected spelling mistakes
  *  9260608 - corrected spelling mistakes
  *  53380ab - corrected spelling mistakes
  *  e5481ab - corrected spelling mistakes
  *  ce1afa0 - corrected spelling mistakes
  *  6ab7c64 - corrected spelling mistakes
  *  fa68989 - corrected spelling mistakes
  *  4fda7f5 - corrected spelling mistakes
  *  65f3473 - corrected spelling mistakes
  *  5614dcc - corrected spelling mistake
  *  5ce3c28 - corrected spelling mistake
  *  e518f11 - Update build-osx.sh
  *  8f06b24 - GCI - fixed spelling mistakes submitted by sagarwal

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 06 Jan 2017 15:26:44 +0300

librecad (2.1.0+git4264-8c02aac-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 8c02aac9ebabcd3cac9d0356a65ed2f1e9c2f28a
  * Date: 1480886105
  * git changelog:
  *  8c02aac - GCI - fixed spelling mistakes submitted by Sanjiv Prasad
  *  709a6e4 - Update README.md
  *  4749c60 - Removed split on chat community between IRC and gitter.
  *  0d239ca - Merge pull request #835 from cbosdo/master

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 10 Dec 2016 10:04:59 +0300

librecad (2.1.0+git4258-c19bd97-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: c19bd9780faebf53a2042b2081b5e5aced3c922f
  * Date: 1479661190
  * git changelog:
  *  c19bd97 - fixed some more undo related exceptions, possible fix for
    #830
  *  d1b1e20 - fixed compiler warning for none OSX systems

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 26 Nov 2016 09:00:38 +0300

librecad (2.1.0+git4256-5fff324-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 5fff324c9360b29f7c08dc46f575f2a57ebcb242
  * Date: 1478472042
  * git changelog:
  *  5fff324 - fixed issue #838, plot equation plugin missed out end
    value
  *  c69cbf0 - added issue template for new issues [ci skip]
  *  e44df6b - ensured* that all entities are shown after unhiding a
    layer; #784
  *  57fa3dc - ensured changeEvent's body is only executed on OS X

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 12 Nov 2016 23:44:17 +0300

librecad (2.1.0+git4252-93a23f6-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 93a23f63fb65256b1aab3ada9c4e5f8df615c34c
  * Date: 1476513568
  * git changelog:
  *  93a23f6 - allowed for more widgets to be added to the penwizard;
    #795
  *  3bd7b0d - improved links in README
  *  382744d - removed wqy-unicode.lff
  *  cd455f7 - added font folder selection button
  *  1b54645 - rewrote LICENSE file
  *  829a5a7 - extend list plugin for more info about inserts
  *  4a60c02 - removed my old address
  *  dd06728 - edit: .gitignore, be more specific on ignoring custom
    files in windows post process files
  *  5a954a6 - edit: .gitignore, ignore more custom files [ci skip]
  *  420d4d4 - fix: typo in LICENSE and licenses/readme.md [ci skip]
  *  2cae8ae - fix: change new location of gpl-2.0.txt in post process
    files
  *  decba08 - added TextFileViewer for viewing the license

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 15 Oct 2016 18:50:18 +0300

librecad (2.1.0+git4240-2bbcdca-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 2bbcdcaae8f75a237e646a5bbcb23fc8960b22df
  * Date: 1474510422
  * git changelog:
  *  2bbcdca - ensured subwindow activation on Command+Tab; #821
  *  42e93b0 - improved modifier filtering for the cmd line again #790
    #817
  *  4564257 - eliminated static analysis warning for
    RS_ActionEditUndo::trigger
  *  09c6777 - improved modifier filtering for the command widget; #817
  *  ba1947f - ensured the cursor is shown for 'Arc Tangential'

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 01 Oct 2016 17:53:20 +0300

librecad (2.1.0+git4235-f137240-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: f1372407b9989e19cd9f3b32f8b4a11e4ba770ef
  * Date: 1473836424
  * git changelog:
  *  f137240 - Updated translations after lupdate
  *  0e5117f - Merge branch 'master' of github.com:LibreCAD/LibreCAD
  *  3e9a235 - Updated translations from pootle server
  *  7f6136a - added 'Paste Multiple Commands' to the command line menu
    #782
  *  adb566e - possibly eliminated crash on tool activation... #814
  *  44581d7 - fix: issue #791, file open dialog filter is case
    sensitive on Linux
  *  ca126ae - fix: issue #808, DXF files with comments in SECTIONs
    failed to load

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 16 Sep 2016 23:41:20 +0300

librecad (2.1.0+git4228-7a4b5bb-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/LibreCAD/LibreCAD.git
  * Branch: master
  * Commit: 7a4b5bb8fc6423c24f701b254d8296bd92293f14
  * Date: 1471663181
  * git changelog:
  *  7a4b5bb - Merge pull request #806 from Equoda/patch-803-save-undo
  *  41a0ca5 - fix: Save after Undo does nothing; #803
  *  7fbfe27 - improved keycode mode; #804 #802
  *  d615f6f - added README files to translation folders [ci skip]
  *  42df185 - Updated translations after lupdate
  *  afb5b68 - Merge branch 'master' of github.com:LibreCAD/LibreCAD
  *  1f5e7a4 - Updated translations from pootle server
  *  0598000 - Merged pull request #800 from LibreCAD/maqifrnswa-patch-1
  *  35a1a9e - Don't add /usr/include to INCLUDEPATH

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 20 Aug 2016 06:58:54 +0300

librecad (2.1.0+git4219-33d3989-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: 33d3989d9236a119310a28bea1efa7b6d1cd761a
  * Date: 1469391507

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 03 Aug 2016 12:19:30 +0300

librecad (2.1.0+git4217-ce51cab-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: ce51cab45c305cc022c6fb3141be7d8fc5ec4a42
  * Date: 1469299210

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 24 Jul 2016 11:49:39 +0300

librecad (2.1.0+git4205-f7df0aa-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: f7df0aa0fe163589ec1c8e86cb0c02156145f407
  * Date: 1468000033

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 09 Jul 2016 19:02:38 +0300

librecad (2.1.0+git4185-a5168f3-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: a5168f33b3f73ce007ea7e51ad749bb59c5d2b37
  * Date: 1466822219

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 25 Jun 2016 11:25:12 +0300

librecad (2.1.0+git4164-a282b5b-1) unstable; urgency=medium

  * Compile
  * Branch: master
  * Commit: a282b5b5f68907748813df4671131e52daf657b3
  * Date: 1466113065

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 18 Jun 2016 17:37:13 +0300

librecad (2.1.0-1) unstable; urgency=low

  * New upstream release

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 18 Jun 2016 13:02:24 +0300

librecad (2.0.9-2) unstable; urgency=medium

  * debian/patches/remove_qt4_docs_postprocess.patch
    - Don't ship docs (unmaintained)
    - use qt5's lrelease
  * Remove unmainted docs from
    - debian/librecad-data.links
    - debian/librecad.install

 -- Scott Howard <showard@debian.org>  Wed, 16 Mar 2016 10:47:25 -0400

librecad (2.0.9-1) unstable; urgency=medium

  * New upstream release (LP: #1540925)
    - add dependencies on qt5 packages, use qtchooser by
      setting QT_SELECT = 5
  * Updated debian/copyright (new file locations)
  * Lintian cleaning:
    - Remove .menu in favor of .desktop
    - DSV 3.9.7 no changes
    - Fix Vcs- links (secure and cannonical)

 -- Scott Howard <showard@debian.org>  Tue, 15 Mar 2016 12:15:10 -0400

librecad (2.0.8-1) unstable; urgency=medium

  * New upstream release
  * Updated uploaders (Closes: #780790)
  * DSV 3.9.6, no changes

 -- Scott Howard <showard@debian.org>  Sat, 29 Aug 2015 22:35:57 -0400
librecad (2.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Mon, 23 Jun 2014 21:52:19 -0400

librecad (2.0.3-2) unstable; urgency=low

  * debian/rules - don't use c++11 in Precise (Ubuntu 12.04)

 -- Scott Howard <showard@debian.org>  Wed, 23 Apr 2014 16:01:06 -0400

librecad (2.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Thu, 03 Apr 2014 15:49:37 -0400

librecad (2.0.2+nolibs-1) unstable; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Mon, 27 Jan 2014 11:41:50 -0500

librecad (2.0.1+nolibs-1) unstable; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Fri, 17 Jan 2014 15:15:24 -0500

librecad (2.0.0+nolibs-1) unstable; urgency=low

  * New upstream release
  * Debian S-V 3.9.5, no changes

 -- Scott Howard <showard@debian.org>  Mon, 30 Dec 2013 12:17:45 -0500

librecad (2.0.0~rc3+nolibs-1) unstable; urgency=low

  * Merge from experimental to unstable.
  * New upstream release.

 -- Scott Howard <showard@debian.org>  Mon, 09 Dec 2013 23:29:24 -0500

librecad (2.0.0~rc2+nolibs-1) experimental; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Fri, 13 Sep 2013 21:52:29 -0400

librecad (2.0.0~beta2+nolibs-1) experimental; urgency=low

  * New beta release.

 -- Scott Howard <showard@debian.org>  Mon, 25 Feb 2013 12:41:01 -0500

librecad (2.0.0~beta1+nolibs-1) experimental; urgency=low

  * Install new docs (LP: #1055937)
  * Drop dependency on libdxflib-dev, no longer needed
  * New beta release

 -- Scott Howard <showard@debian.org>  Wed, 24 Oct 2012 17:01:07 -0400

librecad (2.0.0~alpha4+nolibs-1) experimental; urgency=low

  * Enabled build hardening through dh_auto_configure
  * New upstream release

 -- Scott Howard <showard@debian.org>  Mon, 02 Jul 2012 19:17:55 -0400

librecad (2.0.0~alpha3+nolibs-1) experimental; urgency=low

  * New upstream release
  * Refreshed patches
  * Debian compat 9 for build hardening (Wheezy release goal)

 -- Scott Howard <showard@debian.org>  Mon, 16 Apr 2012 13:09:32 -0400

librecad (2.0.0~alpha2+nolibs-1) experimental; urgency=low

  * New upstream release, experimental developmental
  * Removed dependency on libqt4-sql-sqlite since help is no longer
    included

 -- Scott Howard <showard@debian.org>  Sat, 03 Mar 2012 18:01:31 -0500

librecad (2.0.0~alpha1+nolibs-1) experimental; urgency=low

  * New upstream development release, experimental package.

 -- Scott Howard <showard@debian.org>  Tue, 21 Feb 2012 10:11:37 -0500

librecad (1.0.1+nolibs-2) unstable; urgency=low

  * Remove BD on librsvg2-bin, add BD on libmagickcore-extra
    used when converting upstream's SVG logo to pixmaps during build

 -- Scott Howard <showard@debian.org>  Thu, 09 Feb 2012 21:51:06 -0500

librecad (1.0.1+nolibs-1) unstable; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Sun, 05 Feb 2012 12:55:35 -0500

librecad (1.0.0+nolibs-1) unstable; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Sat, 17 Dec 2011 20:08:57 -0500

librecad (1.0.0~rc4+nolibs-1) unstable; urgency=low

  * New upstream release.
  * Fix missing fonts in upstream tarball (Closes: #644984, #646030).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Oct 2011 22:06:31 -0300

librecad (1.0.0~rc3+nolibs-1) unstable; urgency=low

  * New upstream release.
    - Fixes rounded values (Closes: #640390).
  * Refresh debian-fparser.patch.
  * Remove resizing_icon_canvas.patch, it has been applied upstream.
  * Change my e-mail address.
  * Make get-orig-source work with changing directory names.
  * Build depend on libfxlib-dev >= 2.2.0.0-6 as it fixes a bug needed by
    this version of LibreCAD.
  * This new upstream release removes the documentation and some fonts that
    seemed not free. So we are not shipping the doc package anymore
    (Closes: #644787).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 11 Oct 2011 00:26:25 -0300

librecad (1.0.0~rc1+nolibs-4) unstable; urgency=low

  * Add libqt4-sql-sqlite as a librecad dependency. This enables users to see
    the help. Thanks Ries van Twisk for the tip.
  * Change schemas to schematics in librecad's description (Closes: #633676).

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Sun, 31 Jul 2011 15:34:50 -0300

librecad (1.0.0~rc1+nolibs-3) unstable; urgency=low

  [ Scott Howard ]
  * debian/librcad-doc.install
    - Install qt compiled help files
  * debian/patches/debian_fparser.patch
    - Use libdxflib's new includedir to fix a FTBFS

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add qt4-dev-tools as B-D. The tools are used to create the online
    documentation (*.qch and *.qhc).
  * Override dh_compress in order to avoid compressing online help.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Tue, 21 Jun 2011 17:14:25 -0300

librecad (1.0.0~rc1+nolibs-2) unstable; urgency=low

  * Use upstreams new icons, .desktop, manpage, and mime info
  * resize_icon_canvas.patch added to use upstream icon in debian

 -- Scott Howard <showard@debian.org>  Sat, 18 Jun 2011 12:21:18 -0400

librecad (1.0.0~rc1+nolibs-1) unstable; urgency=low

  [Lisandro Damián Nicanor Pérez Meyer]
  * New upstream release.
  * Remove patches applied upstream.
    - rs_debug.patch
    - bug#234340.patch
    - qcad-2.0.5.0-latin2.patch
  * Refresh debian-fparser.patch.
  * Update watch file to look for rc tarballs too.

  [Scott Howard]
  * Corrected spelling error s/plataform/platform/ in debian/control
    (LP: #759700)

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Fri, 17 Jun 2011 18:47:13 -0300

librecad (1.0.0~beta5+nolibs-1) unstable; urgency=low

  * Initial release (Closes: #605914)

 -- Scott Howard <showard@debian.org>  Sun, 24 Apr 2011 13:00:22 -0400
